local Class = require 'libs.hump.class'
local Entity = require 'entities.Entity'

local Platform = Class{
  __includes = Entity -- Platform class inherits our Entity class
}

function Platform:init(world, x, y, w, h)
  Entity.init(self, world, x, y, w, h)

  self.world:add(self, self:getRect())
end

function Platform:draw()
  love.graphics.rectangle('fill', self:getRect())
end

return Platform